// $Header: x:/prj/tech/libsrc/dev2d/RCS/emode.h 1.1 1996/09/26 15:20:19 KEVIN Exp $

#ifndef __EMODE_H
#define __EMODE_H
#ifdef __cplusplus
extern "C" {
#endif

/* definitions for all supported device-independent graphics modes. */
enum {
   GRM_320x200x8,       // mode 13h
   GRM_320x200x8X,      // X for mode x mode
   GRM_320x400x8,       // this is also mode x
   GRM_320x240x8,       // and this
   GRM_320x480x8,       // and this

// NOTE: Be sure to change GRM_FIRST_SVGA_MODE in mode.h if the next entry changes!

   GRM_640x350x4,
   GRM_640x400x4,
   GRM_640x480x4,
   GRM_800x600x4,
   GRM_1024x768x4,
   GRM_1280x1024x4,
   GRM_1600x1200x4,

   GRM_320x200x8S,
   GRM_320x240x8S,
   GRM_320x400x8S,
   GRM_360x200x8,
   GRM_360x240x8,
   GRM_360x400x8,
   GRM_640x350x8,
   GRM_640x400x8,
   GRM_640x480x8,
   GRM_800x600x8,
   GRM_1024x768x8,
   GRM_1280x1024x8,
   GRM_1600x1200x8,

   GRM_320x200x15,
   GRM_320x240x15,
   GRM_320x400x15,
   GRM_360x200x15,
   GRM_360x240x15,
   GRM_360x400x15,
   GRM_640x350x15,
   GRM_640x400x15,
   GRM_640x480x15,
   GRM_800x600x15,
   GRM_1024x768x15,
   GRM_1280x1024x15,
   GRM_1600x1200x15,

   GRM_320x200x16,
   GRM_320x240x16,
   GRM_320x400x16,
   GRM_360x200x16,
   GRM_360x240x16,
   GRM_360x400x16,
   GRM_640x350x16,
   GRM_640x400x16,
   GRM_640x480x16,
   GRM_800x600x16,
   GRM_1024x768x16,
   GRM_1280x1024x16,
   GRM_1600x1200x16,

   GRM_320x200x24,
   GRM_320x240x24,
   GRM_320x400x24,
   GRM_360x200x24,
   GRM_360x240x24,
   GRM_360x400x24,
   GRM_640x350x24,
   GRM_640x400x24,
   GRM_640x480x24,
   GRM_800x600x24,
   GRM_1024x768x24,
   GRM_1280x1024x24,
   GRM_1600x1200x24,

   GRM_320x200x32,
   GRM_320x240x32,
   GRM_320x400x32,
   GRM_360x200x32,
   GRM_360x240x32,
   GRM_360x400x32,
   GRM_640x350x32,
   GRM_640x400x32,
   GRM_640x480x32,
   GRM_800x600x32,
   GRM_1024x768x32,
   GRM_1280x1024x32,
   GRM_1600x1200x32,

   GRM_400x300x8,
   GRM_512x384x8,
   GRM_400x300x15,
   GRM_512x384x15,
   GRM_400x300x16,
   GRM_512x384x16,
   GRM_400x300x24,
   GRM_512x384x24,
   GRM_400x300x32,
   GRM_512x384x32,

   GRD_MODES,           // 77 modes
};
#ifdef __cplusplus
};
#endif
#endif /* !__MODE_H */
